Subject: RE: [External] : Re: bug#46973: 26.3; (elisp) `Face Remapping'

From: Drew Adams <[email-masked]>
Date: Wed, 23 Feb 2022 15:56:21 +0000

> > (add-hook 'some-mode-hook
> >           (lambda ()
> >             (face-remap-set-base 'default 'variable-pitch)))
> >
> > I get an error saying that `variable-pitch' isn't a list.
> > (And trying '(variable-pitch) instead gives the same error.)
> 
> Looks like this regression was introduced by cece37cf09de9, which just
> wanted to simplify the specs list.  But then the test after that wasn't
> adjusted.  I've now fixed this in Emacs 29.

Thanks for fixing this.  I downloaded face-remap.el
from MASTER, and I see that you applied the fix I
suggested: (if (or (null specs) (eq specs face)).

I see from the commit log that the regression was
introduced in 2008.  Which Emacs release was that?

[And how do I find that release @ from the web
interface to the repo, here?
https://repo.or.cz/emacs.git/commit/cece37cf09de9]